summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBen Boeckel <mathstuf@gmail.com>2014-09-15 20:49:47 -0400
committerwm4 <wm4@nowhere>2014-09-16 17:29:46 +0200
commit45e2345a7f3e85c3e3c22944dda5fdb83c65ecc6 (patch)
treeafd7d6edd4aecad35b849605cd06f11888231ae6
parentec2c6a17dc96e1a5a8109f97f01a88500cdeaed3 (diff)
downloadmpv-45e2345a7f3e85c3e3c22944dda5fdb83c65ecc6.tar.bz2
mpv-45e2345a7f3e85c3e3c22944dda5fdb83c65ecc6.tar.xz
TOOLS: shellcheck: remove '$' on variables in $(()) expansion
-rwxr-xr-xTOOLS/idet.sh14
-rw-r--r--TOOLS/mpv_identify.sh4
2 files changed, 9 insertions, 9 deletions
diff --git a/TOOLS/idet.sh b/TOOLS/idet.sh
index 3e57a3df33..898ae0cd9c 100755
--- a/TOOLS/idet.sh
+++ b/TOOLS/idet.sh
@@ -85,7 +85,7 @@ case "$verdict" in
[ -n "$ILDETECT_RUN_INTERLACED_ONLY" ] || \
$ILDETECT_MPV "$@"
r=$?
- [ $r -eq 0 ] || exit $(($r | 16))
+ [ $r -eq 0 ] || exit $((r | 16))
exit 0
;;
interlaced-tff)
@@ -95,14 +95,14 @@ case "$verdict" in
[ -n "$ILDETECT_DRY_RUN" ] || \
$ILDETECT_MPV "$@" --vf-pre=pullup --field-dominance=top
r=$?
- [ $r -eq 0 ] || exit $(($r | 16))
+ [ $r -eq 0 ] || exit $((r | 16))
exit 1
;;
*)
[ -n "$ILDETECT_DRY_RUN" ] || \
$ILDETECT_MPV "$@" --vf-pre=yadif --field-dominance=top
r=$?
- [ $r -eq 0 ] || exit $(($r | 16))
+ [ $r -eq 0 ] || exit $((r | 16))
exit 2
;;
esac
@@ -114,14 +114,14 @@ case "$verdict" in
[ -n "$ILDETECT_DRY_RUN" ] || \
$ILDETECT_MPV "$@" --vf-pre=pullup --field-dominance=bottom
r=$?
- [ $r -eq 0 ] || exit $(($r | 16))
+ [ $r -eq 0 ] || exit $((r | 16))
exit 1
;;
*)
[ -n "$ILDETECT_DRY_RUN" ] || \
$ILDETECT_MPV "$@" --vf-pre=yadif --field-dominance=bottom
r=$?
- [ $r -eq 0 ] || exit $(($r | 16))
+ [ $r -eq 0 ] || exit $((r | 16))
exit 2
;;
esac
@@ -133,14 +133,14 @@ case "$verdict" in
[ -n "$ILDETECT_DRY_RUN" ] || \
$ILDETECT_MPV "$@" --vf-pre=pullup
r=$?
- [ $r -eq 0 ] || exit $(($r | 16))
+ [ $r -eq 0 ] || exit $((r | 16))
exit 1
;;
*)
[ -n "$ILDETECT_DRY_RUN" ] || \
$ILDETECT_MPV "$@" --vf-pre=yadif
r=$?
- [ $r -eq 0 ] || exit $(($r | 16))
+ [ $r -eq 0 ] || exit $((r | 16))
exit 2
;;
esac
diff --git a/TOOLS/mpv_identify.sh b/TOOLS/mpv_identify.sh
index 4d5a1c7798..7b0848bffe 100644
--- a/TOOLS/mpv_identify.sh
+++ b/TOOLS/mpv_identify.sh
@@ -123,7 +123,7 @@ __midentify__main() {
if [ "$fileindex" -gt 0 ]; then
nextprefix="${prefix%${fileindex}_}"
fi
- fileindex="$(($fileindex+1))"
+ fileindex="$((fileindex+1))"
nextprefix="${nextprefix}${fileindex}_"
for key in $allprops; do
key="$(printf '%s\n' "$key" | tr - _)"
@@ -133,7 +133,7 @@ __midentify__main() {
if [ "$fileindex" -gt 0 ]; then
echo
fi
- fileindex="$(($fileindex+1))"
+ fileindex="$((fileindex+1))"
fi
;;
X-MIDENTIFY:\ *)